Skip to main content
PATCH
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
Update service basic details
curl --request PATCH \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "ipAccessList": {
    "add": [
      {
        "source": "<string>",
        "description": "<string>"
      }
    ],
    "remove": [
      {
        "source": "<string>",
        "description": "<string>"
      }
    ]
  },
  "privateEndpointIds": {
    "add": [
      "<string>"
    ],
    "remove": [
      "<string>"
    ]
  },
  "releaseChannel": "slow",
  "endpoints": [
    {
      "protocol": "mysql",
      "enabled": true
    }
  ],
  "transparentDataEncryptionKeyId": "<string>"
}
'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "provider": "aws",
    "region": "ap-northeast-1",
    "state": "starting",
    "clickhouseVersion": "<string>",
    "endpoints": [
      {
        "protocol": "mysql",
        "host": "<string>",
        "port": 123,
        "username": "<string>"
      }
    ],
    "tier": "development",
    "minTotalMemoryGb": 48,
    "maxTotalMemoryGb": 360,
    "minReplicaMemoryGb": 16,
    "maxReplicaMemoryGb": 120,
    "numReplicas": 3,
    "idleScaling": true,
    "idleTimeoutMinutes": 123,
    "ipAccessList": [
      {
        "source": "<string>",
        "description": "<string>"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "encryptionKey": "<string>",
    "encryptionAssumedRoleIdentifier": "<string>",
    "iamRole": "<string>",
    "privateEndpointIds": [
      "<string>"
    ],
    "availablePrivateEndpointIds": [
      "<string>"
    ],
    "dataWarehouseId": "<string>",
    "isPrimary": true,
    "isReadonly": true,
    "releaseChannel": "slow",
    "byocId": "<string>",
    "hasTransparentDataEncryption": true,
    "profile": "v1-default",
    "transparentDataEncryptionKeyId": "<string>",
    "encryptionRoleId": "<string>",
    "complianceType": "hipaa"
  }
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service to update.

Body

application/json
name
string

Name of the service. Alphanumerical string with whitespaces up to 50 characters.

ipAccessList
object
privateEndpointIds
object
releaseChannel
enum<string>

Select fast if you want to get new ClickHouse releases as soon as they are available. You'll get new features faster, but with a higher risk of bugs. Select slow if you would like to defer releases to give yourself more time to test. This feature is only available for production services. default is the regular release channel.

Available options:
slow,
default,
fast
endpoints
object[]

List of service endpoints to change

transparentDataEncryptionKeyId
string

The id of the key to rotate

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object